- Qt 5.5
- Qt3D Module
- C++ Classes
- QAspectJob
- Qt 5.5.1 Reference Documentation

# QAspectJob Class

(Qt3D::QAspectJob)

- List of all members, including inherited members

## Public Functions

| QAspectJob()
virtual | ~QAspectJob()
void | addDependency(QWeakPointer<QAspectJob> dependency)
QVector<QWeakPointer<QAspectJob> > | dependencies() const
virtual void | run() = 0

## Member Function Documentation

### QAspectJob::QAspectJob()

### `[virtual]` QAspectJob::~QAspectJob()

### void QAspectJob::addDependency(QWeakPointer<QAspectJob> dependency)

### QVector<QWeakPointer<QAspectJob> > QAspectJob::dependencies() const

### `[pure virtual]` void QAspectJob::run()